%define	api		1.0
%define	major		0
%define gmajor		1.0
%define	libname		%mklibname sushi %{api}
%define	gi_libname	%mklibname sushi-gir %{api}
%define	develname	%mklibname -d sushi %{api}

%global url_ver %%(echo %{version}|cut -d. -f1)

%global __provides_exclude_from ^%{_libdir}/%{name}/.*\\.so.*$

Name:		sushi
Version:	46.0
Release:	%mkrel 2
License:	GPLv2+
Summary:	Quick Previewer for Nautilus
Url:		https://www.gnome.org/
Group:		File tools
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	intltool
%ifnarch %{arm}
BuildRequires:	unoconv
%endif
BuildRequires:	pkgconfig(evince-document-3.0)
BuildRequires:	pkgconfig(evince-view-3.0)
BuildRequires:	pkgconfig(gjs-1.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:	pkgconfig(gstreamer-tag-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtksourceview-4)
BuildRequires:	pkgconfig(webkit2gtk-4.1)
BuildRequires:	pkgconfig(libmusicbrainz5)
#for gnome-autogen
BuildRequires:	meson
BuildRequires:	gettext-devel
Recommends:	nautilus

%description
Sushi is a quick previewer for Nautilus, the GNOME desktop file manager.

%package -n %{libname}
Summary:	Runtime libraries for %{name}
Group:		System/Libraries
# When built with unoconv support, the library will use unoconv to
# read LibreOffice files
Recommends:	unoconv

%description -n %{libname}
Runtime libraries for %{name}.

%package -n %{gi_libname}
Summary:	GObject introspection interface for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{gi_libname}
GObject introspection interface for %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{gi_libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
The sushi-devel package contains libraries and header files for developing
applications that use sushi.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README.md TODO
%license COPYING
%{_bindir}/sushi
%{_libexecdir}/org.gnome.NautilusPreviewer
%{_datadir}/dbus-1/services/org.gnome.NautilusPreviewer.service
%{_metainfodir}/org.gnome.NautilusPreviewer.appdata.xml
%{_datadir}/sushi
%exclude %{_datadir}/sushi/gir-1.0/Sushi-%{gmajor}.gir

%files -n %{libname}
%{_libdir}/sushi/libsushi-%{api}.so

%files -n %{gi_libname}
%{_libdir}/sushi/girepository-1.0/Sushi-%{gmajor}.typelib

%files -n %{develname}
%{_datadir}/sushi/gir-1.0/Sushi-%{gmajor}.gir


%changelog
* Thu Jun 12 2025 daviddavid <daviddavid> 46.0-2.mga10
+ Revision: 2190645
- drop unneeded clutter dependency

* Sat Apr 06 2024 daviddavid <daviddavid> 46.0-1.mga10
+ Revision: 2055061
- new version 46.0

* Sat Sep 30 2023 tv <tv> 45.0-1.mga10
+ Revision: 1992587
- Update to 45.0

* Sat Jun 03 2023 daviddavid <daviddavid> 44.2-1.mga9
+ Revision: 1960703
- new version 44.2

* Fri Sep 23 2022 tv <tv> 43.0-1.mga9
+ Revision: 1891781
- Update to 43.0

* Tue Apr 05 2022 ovitters <ovitters> 41.2-1.mga9
+ Revision: 1845076
- new version 41.2

* Fri Apr 01 2022 ovitters <ovitters> 41.1-1.mga9
+ Revision: 1839110
- new version 41.1

* Sun Mar 20 2022 tv <tv> 41.0-1.mga9
+ Revision: 1801687
- Update to 41.0
+ ovitters <ovitters>
- new version 3.38.1

* Thu Oct 22 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1638651
- new version 3.38.0
+ danf <danf>
- Switch URLs from http: to https:

* Sun Feb 16 2020 umeabot <umeabot> 3.34.0-2.mga8
+ Revision: 1531298
- Mageia 8 Mass Rebuild

* Tue Sep 10 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439377
- new version 3.34.0

* Wed Aug 07 2019 tv <tv> 3.33.90-1.mga8
+ Revision: 1427834
- fix BR & filelist
+ ovitters <ovitters>
- new version 3.33.90

* Tue Jul 02 2019 ovitters <ovitters> 3.32.1-1.mga8
+ Revision: 1417632
- new version 3.32.1

* Thu Apr 18 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392930
- Rebuild with meson 0.50.1

* Sun Mar 10 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1373622
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.2-1.mga7
+ Revision: 1372455
- switch to meson
- new version 3.31.2

* Tue Sep 04 2018 daviddavid <daviddavid> 3.30.0-1.mga7
+ Revision: 1256977
- new version 3.30.0

* Tue Apr 24 2018 ovitters <ovitters> 3.28.3-1.mga7
+ Revision: 1222090
- new version 3.28.3

* Fri Apr 20 2018 ovitters <ovitters> 3.28.2-1.mga7
+ Revision: 1220571
- new version 3.28.2

* Thu Apr 19 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1220233
- new version 3.28.1

* Thu Apr 19 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1220063
- new version 3.28.0

* Sat Apr 29 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1097997
- new version 3.24.0

* Wed Mar 22 2017 ovitters <ovitters> 3.23.91-1.mga6
+ Revision: 1094325
- new version 3.23.91

* Mon Sep 26 2016 tv <tv> 3.21.91-2.mga6
+ Revision: 1056888
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Sun Sep 18 2016 ovitters <ovitters> 3.21.91-1.mga6
+ Revision: 1053980
- new version 3.21.91

* Tue May 17 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 1016520
- new version 3.20.0

* Sun Apr 10 2016 daviddavid <daviddavid> 3.19.90-2.mga6
+ Revision: 999996
- use a proper fix for linking issue adding "-lharfbuzz" variable LIBS
- do not use BR unoconv on arm for now

* Sun Apr 10 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 999991
- new version 3.19.90

* Fri Feb 19 2016 umeabot <umeabot> 3.18.0-2.mga6
+ Revision: 969934
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883134
- adjust file list
- new release
+ ovitters <ovitters>
- new version 3.17.4

* Thu Jul 02 2015 fwang <fwang> 3.16.0-4.mga6
+ Revision: 849452
- rebuild for libmusicbrainz5

* Tue Jun 30 2015 wally <wally> 3.16.0-3.mga6
+ Revision: 848925
- rebuild to get more typelib() requires

* Mon Jun 29 2015 wally <wally> 3.16.0-2.mga6
+ Revision: 847829
- add requires for gir pkg to devel pkg
+ ovitters <ovitters>
- new version 3.16.0

* Wed Oct 15 2014 umeabot <umeabot> 3.12.0-4.mga5
+ Revision: 740968
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 3.12.0-3.mga5
+ Revision: 731183
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 3.12.0-2.mga5
+ Revision: 689626
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Wed Apr 23 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 617482
- new version 3.12.0

* Thu Feb 20 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 595037
- new version 3.11.90

* Sat Oct 19 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536589
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484824
- new version 3.10.0

* Sat May 25 2013 ovitters <ovitters> 3.8.1-1.mga4
+ Revision: 427455
- fix br
- new version 3.8.1

* Mon Jan 14 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 383815
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.1-1.mga3
+ Revision: 317407
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297136
- new version 3.6.0

* Tue Sep 18 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295685
- new version 3.5.92

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 288110
- br libmusicbrainz5
- new version 3.5.91

* Mon Aug 20 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282627
- br gstreamer-1.0
- new version 3.5.90

* Wed Aug 08 2012 ovitters <ovitters> 0.5.5-1.mga3
+ Revision: 279987
- new version 0.5.5

* Mon Jul 16 2012 ovitters <ovitters> 0.5.4-1.mga3
+ Revision: 271529
- drop merged patch
- new version 0.5.4

* Fri Jul 06 2012 fwang <fwang> 0.5.2-1.mga3
+ Revision: 268392
- update file list
- update file list
- update file list
- fix linakge
+ ovitters <ovitters>
- br libmusicbrainz4
- drop linking patch
- new version 0.5.2

* Mon Apr 16 2012 ovitters <ovitters> 0.4.1-1.mga2
+ Revision: 231076
- new version 0.4.1

* Tue Mar 27 2012 ovitters <ovitters> 0.4.0-1.mga2
+ Revision: 227155
- new version 0.4.0

* Thu Mar 22 2012 ovitters <ovitters> 0.3.92-2.mga2
+ Revision: 225769
- rebuild for new evince

* Mon Mar 19 2012 ovitters <ovitters> 0.3.92-1.mga2
+ Revision: 224513
- new version 0.3.92

* Mon Mar 05 2012 wally <wally> 0.3.91-1.mga2
+ Revision: 219210
- add patch to fix linking
- new version 0.3.91

* Mon Dec 19 2011 wally <wally> 0.3.0-1.mga2
+ Revision: 184385
- new version 0.3.0
- clean .spec a bit

* Wed Nov 23 2011 fwang <fwang> 0.2.1-2.mga2
+ Revision: 171158
- rebuild for new clutter

* Mon Oct 17 2011 wally <wally> 0.2.1-1.mga2
+ Revision: 155803
- new version 0.2.1

* Mon Sep 26 2011 fwang <fwang> 0.2.0-1.mga2
+ Revision: 148741
- new version 0.2.0

* Mon Sep 19 2011 fwang <fwang> 0.1.92-1.mga2
+ Revision: 145551
- new version 0.1.92

* Wed Aug 31 2011 dmorgan <dmorgan> 0.1.90-1.mga2
+ Revision: 137139
- Change recommands into suggests
  Fix major
+ ovitters <ovitters>
- imported package sushi

